diff --git a/pki/base/util/src/netscape/security/x509/X509CertImpl.java b/pki/base/util/src/netscape/security/x509/X509CertImpl.java
index bb1b441a0d0e48aae978a6ebec28b6b2432cce99..220f32d82b81e21a2d0aa9ca20b405572472b309 100755
--- a/pki/base/util/src/netscape/security/x509/X509CertImpl.java
+++ b/pki/base/util/src/netscape/security/x509/X509CertImpl.java
@@ -905,7 +905,7 @@ implements Serializable, DerEncoder {
      * @return a set of the extension oid strings in the
      * certificate that are marked critical.
      */
-    public Set getCriticalExtensionOIDs() {
+    public Set<String> getCriticalExtensionOIDs() {
         if (info == null)
             return null;
             try {
@@ -913,10 +913,10 @@ implements Serializable, DerEncoder {
                                              CertificateExtensions.NAME);
                 if (exts == null)
                 return null;
-            Set<String> extSet = new TreeSet();
+            Set<String> extSet = new TreeSet<String>();
             Extension ex;
-                for (Enumeration e = exts.getElements(); e.hasMoreElements(); ) {
-                ex = (Extension)e.nextElement();
+                for (Enumeration<Extension> e = exts.getAttributes(); e.hasMoreElements(); ) {
+                ex = e.nextElement();
                     if (ex.isCritical())
                     extSet.add(((ObjectIdentifier)ex.getExtensionId()).toString());
                 }
@@ -933,7 +933,7 @@ implements Serializable, DerEncoder {
      * @return a set of the extension oid strings in the
      * certificate that are NOT marked critical.
      */
-    public Set getNonCriticalExtensionOIDs() {
+    public Set<String> getNonCriticalExtensionOIDs() {
         if (info == null)
             return null;
             try {
@@ -942,10 +942,10 @@ implements Serializable, DerEncoder {
                 if (exts == null)
                 return null;
 
-            Set extSet = new TreeSet();
+            Set<String> extSet = new TreeSet<String>();
             Extension ex;
-                for (Enumeration e = exts.getElements(); e.hasMoreElements(); ) {
-                ex = (Extension)e.nextElement();
+                for (Enumeration<Extension> e = exts.getAttributes(); e.hasMoreElements(); ) {
+                ex = e.nextElement();
                     if ( ! ex.isCritical())
                     extSet.add(((ObjectIdentifier)ex.getExtensionId()).toString());
                 }
@@ -964,8 +964,8 @@ implements Serializable, DerEncoder {
                ObjectIdentifier findOID = new ObjectIdentifier(oid);
                Extension ex = null;;
                ObjectIdentifier inCertOID;
-               for (Enumeration e=exts.getElements(); e.hasMoreElements();) {
-                   ex = (Extension)e.nextElement();
+               for (Enumeration<Extension> e=exts.getAttributes(); e.hasMoreElements();) {
+                   ex = e.nextElement();
                    inCertOID = ex.getExtensionId();
                    if (inCertOID.equals(findOID)) {
                        return ex;
@@ -997,8 +997,8 @@ implements Serializable, DerEncoder {
                ObjectIdentifier findOID = new ObjectIdentifier(oid);
                Extension ex = null;;
                ObjectIdentifier inCertOID;
-               for (Enumeration e=exts.getElements(); e.hasMoreElements();) {
-                   ex = (Extension)e.nextElement();
+               for (Enumeration<Extension> e=exts.getAttributes(); e.hasMoreElements();) {
+                   ex = e.nextElement();
                    inCertOID = ex.getExtensionId();
                    if (inCertOID.equals(findOID)) {
                        certExt = ex;
diff --git a/pki/base/util/src/netscape/security/x509/X509CertInfo.java b/pki/base/util/src/netscape/security/x509/X509CertInfo.java
index 4ece0df829df2afdadc8f9078dcf77bbb0956901..1178d6a37bdbe28d25920419a393f51605abcca9 100644
--- a/pki/base/util/src/netscape/security/x509/X509CertInfo.java
+++ b/pki/base/util/src/netscape/security/x509/X509CertInfo.java
@@ -222,7 +222,7 @@ public class X509CertInfo implements CertAttrSet, Serializable {
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration<String> getElements() {
+    public Enumeration<String> getAttributeNames() {
         Vector<String> elements = new Vector<String>();
         elements.addElement(VERSION);
         elements.addElement(SERIAL_NUMBER);
-- 
1.7.7.5

